%global pypi_name GitPython
%global srcname gitpython
%global commitId 44102f30eaadcd122899f5f801f28b83bd9a5111

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{srcname}
Version:        3.1.40
Release:        1%{?dist}
Summary:        GitPython is a Python library used to interact with Git repositories

License:        BSD
URL:            https://github.com/gitpython-developers/GitPython
Source0:        python-gitpython-44102f30eaadcd122899f5f801f28b83bd9a5111.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Requires:       git-core
Requires:       python%{python3_pkgversion}-gitdb < 5
Requires:       python%{python3_pkgversion}-gitdb >= 4.0.1


%description -n python%{python3_pkgversion}-%{srcname}
%{summary}


%prep
set -ex
%autosetup -n python-%{srcname}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
set -ex
%py3_build


%install
set -ex
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/git
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Nov 06 2023 Satoe Imaishi <simaishi@redhat.com> - 3.1.40-1
- Update to 3.1.40
- Fix CVE-2023-41040 (Blind local file inclusion)

* Fri Aug 25 2023 Satoe Imaishi <simaishi@redhat.com> - 3.1.32-1
- Update to 3.1.32
- Fix CVE-2023-40267 (Insecure non-multi options in clone and clone_from is not blocked)

* Fri Jan 20 2023 Satoe Imaishi <simaishi@redhat.com> - 3.1.30-1
- Update to 3.1.30

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.1.26-3
- Build against python 3.9

* Thu Mar 17 2022 Odilon Sousa <osousa@redhat.com> - 3.1.26-2
- Adding git as a dependency for git-python 

* Mon Feb 07 2022 Odilon Sousa - 3.1.26-1
- Initial package.
